<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:padding="4dp">

    <data>

        <variable
            name="photo"
            type="com.example.domain.model.Photos" />
    </data>

    <RelativeLayout
        android:id="@+id/relative_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="8dp">

        <ImageView
            android:id="@+id/thumbnail"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:contentDescription="TODO"
            android:scaleType="centerCrop"
            android:src="@drawable/ic_launcher_foreground"
            app:imageUrl="@{photo.thumbnailUrl}" />

        <TextView
            android:id="@+id/txt_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_centerInParent="true"
            android:layout_toEndOf="@+id/thumbnail"
            android:text="@{photo.title}"
            android:textAlignment="center"
            android:textAppearance="@style/TextAppearance.AppCompat.Medium" />
    </RelativeLayout>
</layout>